jump to navigation

Driver intel 2.4.0, compilazione sperimentale 28 luglio 2008

Posted by melchiorre in Aggiornamento versione, Novità Programmi, Ubuntu.
Tags: , , , ,
trackback

Aggiornamento:

Ho ricompilato aggiungendo la patch per compiz e per il textured, adesso dovrebbe funzionare, potete provare?

http://ppa.launchpad.net/melchiorre/ubuntu/pool/main/x/xserver-xorg-video-intel/xserver-xorg-video-intel_2.4.0~melchiorre-4_i386.deb

http://ppa.launchpad.net/melchiorre/ubuntu/pool/main/x/xserver-xorg-video-intel/xserver-xorg-video-intel_2.4.0~melchiorre-4_amd64.deb

Non avendo nulla da fare in questo periodo mi sono messo a compilare i nuovissimi driver linux per le schede intel, che hanno raggiunto la versione 2.4.0.

Non avendo però una scheda intel (ho una ati) non posso testare se questi funzionino correttamente, quindi cerco volontari, con un minimo d’esperienza, che testino se fungono o meno.

Ovviamente finché non avrò qualche feedback sconsiglio chi non ha il pelo sullo stomaco di installarli, poiché potrebbero rendere instabile il sistema e/o causare la manifestazione alle vostre spalle di Satana. Quindi aspetto vostre nuove.

Questa nuova verione porta belle novità:

Main new features included within this release are
- New Intel 4 series chipset support
- Improved 965 exa render performance
- Integrated HDMI support
- SDVO-HDMI support (e.g ASUS P5E-VM board)

quindi supporto per la nuova X4500 IGP, performance migliorate e il resto lo vede qui.

Ovviamente i driver li trovate nel mio repository o potete scaricarlo da qui sia versione i386 che amd64:

http://ppa.launchpad.net/melchiorre/ubuntu/pool/main/x/xserver-xorg-video-intel/xserver-xorg-video-intel_2.4.0~melchiorre-1_i386.deb

http://ppa.launchpad.net/melchiorre/ubuntu/pool/main/x/xserver-xorg-video-intel/xserver-xorg-video-intel_2.4.0~melchiorre-1_i386.deb

Commenti»

1. Hotteterre - 28 luglio 2008

Dal sommo della mia ignoranza, mi sembra di notare una resa più fluida nelle animazioni e, quindi, una maggiore reattività del sistema in generale.

Sfacciatissima richiesta a margine, da musicista a musicista: se… ehm.. continui a non aver niente da fare, potresti, per favore, dare un occhio alla nuova versione di NtEd? I repository ufficiali sembrano temporaneamente defunti, e io so compilare giusto la lista della spesa!!!

Grazie per tutto quello che fai!

2. melchiorre - 28 luglio 2008

Quindi mi confermi che questi driver funzionano?
Per quanto riguarda nted stasera o domani lo pacchettizzo

3. Hotteterre - 28 luglio 2008

Funzionano, direi, benissimo! Spero non si tratti solo di una mia impressione, ma trovo davvero un netto miglioramento rispetto a prima.

Ancora grazie per la tua pazienza e, naturalmente, per la tua disponibilità!

4. Hotteterre - 28 luglio 2008

…chiedo scusa, ho scritto due volte perché non vedevo comparire il messaggio anche dopo un po’.

5. Hotteterre - 28 luglio 2008

Mi correggo volentieri: il repository di NtEd sembra ora tornato in carreggiata. Ancora nessun aggiornamento, però.

6. melchiorre - 29 luglio 2008

Scusa, ma tu usi compiz? se sì, ti funziona con i nuovi driver?
Ora ti compilo nted

7. melchiorre - 29 luglio 2008

Compilato, ora lo troverai nel mio repository, domani scrivo il post con il collegamento diretto… ciao

8. Hotteterre - 29 luglio 2008

Fantastico, grazie!!!

9. Hotteterre - 29 luglio 2008

Scusa, non avevo visto il primo messaggio: sì, uso Compiz, e trovo che sia più fluido e reattivo con i tuoi driver. Il cubo/cilindro/sfera gira meglio, per esempio.

10. melchiorre - 29 luglio 2008

Mhhh alcuni dicono di avere problemi con compiz, puoi vedere in synaptic, la versione di xorg-video-intel? è la 2:2.2, la 2:2.3 o la 2.4.0?

11. Hotteterre - 29 luglio 2008

2:2.2.1-1ubuntu13.6

Per me, ripeto, nessun problema: anzi!

12. melchiorre - 29 luglio 2008

Sì ma quelli non sono i miei driver, i miei driver sono 2.4.0;
2:2.2.1-1ubuntu13.6 li avevi anche prima🙂
Per installare i miei devi selezionarli in synaptic, scegliere dal menù pacchetto forza versione, e scegliere i miei

13. Hotteterre - 29 luglio 2008

OK, sono scemo.😦

14. Hotteterre - 29 luglio 2008

A questo punto proverei volentieri; però che rischi corro? Cioè: potrei avere problemi di visualizzazione o anche andare incontro a un impallamento totale del computer?

15. melchiorre - 29 luglio 2008

Da quello che mi han detto altri dovrebbe andar tutto tranne compiz, per risolvere dovresti semplicemente riaggiornare i driver da synaptic, ma se non sei sicuro non fare nulla🙂

16. Hotteterre - 29 luglio 2008

Ho fatto la prova. Allora: come giustamente scrivi, Compiz si rifiuta di funzionare. Inoltre, non riesco a impostare correttamente la risoluzione dello schermo, perché mi propone unicamente 800×600 e 640xquellocheè. Così, purtroppo, ho dovuto ripristinare l’altro driver.

A proposito: se il tuo driver è più recente, perché è presentato come versione precedente a quello ufficiale? Per una questione di stabilità o, appunto, di ufficialità?

17. melchiorre - 29 luglio 2008

no no, è semplicemente una questione alfabetica; l’ho fatto apposta perché essendo la mia pacchettizzazione sperimentale non volevo che sostituisse automaticamente il driver vecchio dei repository. Allora mi metto al lavoro e vediamo se riesco a sistemare questo problema

18. Hotteterre - 30 luglio 2008

Ti sto scrivendo con i tuoi driver in uso: ora funzionano senza nessun problema. Grazie!!!😀

19. melchiorre - 30 luglio 2008

E vai🙂 Grazie mille per la notizia

20. melchiorre - 30 luglio 2008

Ok adesso allora ricompilo cambiando nome, così si potrà segliere da synaptic se installare i driver vecchi o quelli nuovi compilati da me, vi farò sapere in un nuovo post.
Grazie Hotteterre, il tuo aiuto è fondamentale.

21. Hotteterre - 30 luglio 2008

Grazie a te (anche per NtEd, naturalemente)! Una domanda: esistono test comparativi delle varie versioni di driver e applicazioni in Linux? Così, per curiosità (e per non andare a cercare e confrontare le rispettive note di versione)…

22. melchiorre - 30 luglio 2008

Mah non saprei, dovresti farli🙂

Ah visto che ci sei, mi faresti ancora da cavia?
Puoi rimettere i driver vecchi (i 2.2.2) e poi mettere il mio nuovo pacchetto xserver-video-melchiorre-intel?
Lo troverai tra qualche minuto nel mio repository. Se non hai aggiunto il mio repository ti posto il collegamento al pacchetto.
Dovresti vedere se installando il nuovo pacchetto ti chiede di disinstallare quello ufficiale.

23. Hotteterre - 30 luglio 2008

Forse non ho capito bene, però anche per installare il driver di stamattina mi ha fatto disinstallare della roba: xserver-xorg-video-all e xserver-xorg-video-i810. Intendevi questo?

24. melchiorre - 30 luglio 2008

No no, ti chiederà di rimuovere xserver-xorg-intel; ma aspetta il pacchetto è sotto compilazione, sarà pronto tra 20-30 minuti. Grazie ancora

25. Hotteterre - 30 luglio 2008

Ho provato. Come hai scritto tu, mi ha fatto disinstallare xserver-xorg-intel. Però, mi si sono ripresentati gli stessi problemi della prima volta: la risoluzione non viene riconosciuta correttamente, e Compiz non funziona. Ora ho rimesso il tuo driver, e tutto è tornato a posto.

26. melchiorre - 30 luglio 2008

ma sei sicuro? Ma caspita, è compilato nello stesso modo… adesso che versione di xserver-xorg-video-intel hai installata?

27. Hotteterre - 30 luglio 2008

La tua di stamattina, 2:2.4.0~melchiorre-4.

28. melchiorre - 30 luglio 2008

Ah allora è giusta mah
Vediamo quella nuova perché ha problemi

29. Hotteterre - 30 luglio 2008

Va bene, io rimango a disposizione: conta pure su di me!🙂

30. Hotteterre - 30 luglio 2008

Alla luce di questo giorno di prova, vorrei aggiungere che, però, mi sembra che con il tuo driver Xorg occupi una maggior quantità di RAM, rallentando progressivamente tutto il sistema. In questo preciso momento, dopo qualche ora di attività e con Firefox e Thunderbird aperti, Xorg totalizza la bellezza di 153,5 mega di RAM occupati! Credi che sia normale o è possibile risparmiarne un po’?

31. melchiorre - 31 luglio 2008

Hotteterre, ho controllato e in effetti c’erano problemi con le patch (non avevo cambiato i nomi =_=), adesso dovrebbe essere tutto a posto.

In toeria i driver della scheda video non dovrebbero pesare sulla ram; che pc hai? un portatile? che marca?

32. Hotteterre - 31 luglio 2008

Ho rifatto la prova, ma rimangono gli stessi problemi! Ora sto usando ancora i tuoi driver 2:2.4.0~melchiorre-4.

Per quanto riguarda la RAM, be’, ho ricreato le stesse condizioni dopo aver rimesso i vecchi driver, e… stesso risultato. Tieni conto che avevo stressato il computer un bel po’, prima di arrivare alla situazione che ho descritto sopra. Soprattutto, trovo che pesi molto cambiare lo sfondo del desktop.

Il computer è un portatile, relativamente economico, Packard Bell di circa tre anni fa. Discreto per tutto, probabilmente senza eccellere in niente! La scheda video è un’integrata Intel (ma va?), l’hard disk è piccolo – 50 giga – rispetto alla media, ma, comunque più che sufficiente per molte cose; il punto di forza è, direi, la RAM da un giga. Il tutto per 950 euro – non troppo, in considerazione dei prezzi di allora, ma, per me, l’equivalente di un anno di corsi di musica alle elementari (il mio magro lavoro)!!!

Ti chiedo di scusarmi per i miei errori marchiani. Sono ancora inesperto e ben poco ferrato sulle questioni tecniche, ma spero di poter essere d’aiuto anch’io… senza, però, farti perdere troppo tempo!

33. melchiorre - 31 luglio 2008

Quindi il prblema con la ram lo hai anche con i driver vecchi? Allora non saprei cosa dirti. Comunque ho deciso di tenere i driver 2:2.4.0~melchiorre-4, risolvendo così molti problemi, non capisco cosa non vada nelle patch dell’altro pacchetto, mah. Grazzzie ancora, ora posso diffondere il mio lavoro a tutti

34. Hotteterre - 31 luglio 2008

Ma, a parte tutto, perché volevi preparare un pacchetto separato? Così com’è è comodo, si sostituisce a quello standard e rimane aggiornabile senza problemi.

Eh, per la RAM credo di aver semplicemente stressato il povero computer esageratamente…

Grazie ancora per il tuo lavoro!

35. melchiorre - 31 luglio 2008

Volevo fare un altro pacchetto per comodità, così uno sceglie se tenersi i driver ufficiali dati con hardy o aggiornare a quella nuova

36. melchiorre - 2 agosto 2008

Ho modificato un po’ le patch per incrementare le performance di compiz, come vanno adesso?

37. Hotteterre - 2 agosto 2008

Direi meglio, però lo scrolling delle pagine – come è stato osservato da altri anche prima – non è ancora del tutto fluido.

38. Hotteterre - 2 agosto 2008

Spiego meglio, perché vedo che non è molto chiaro: lo scrolling delle pagine mi pare risultare un po’ meno fluido rispetto a prima, con il pacchetto ufficiale; ma molto migliore che nella versione precedente del tuo driver.

Lo noto soprattutto usando Firefox (che già è pesantino di suo!): anche se va già meglio, appare non del tutto reattivo – sempre rispetto alla versione ufficiale, intendo.

Ti prego!, però, di non dare ai miei commenti il peso di un giudizio tecnico: purtroppo, posso solo comunicarti le mie impressioni da utente ignorante (nel senso di Aieie Brazof).

39. Hotteterre - 2 agosto 2008

E oggi, ripartendo a computer fresco, non noto più nulla che non va.

40. melchiorre - 2 agosto 2008

Oh caspiterina, ottimo, grazie ancora🙂

41. Hotteterre - 2 agosto 2008

No, no: grazie a te, eh! Confermo che, ora, tutto sembra andare per il meglio.

42. Brambo - 28 ottobre 2008

Ciao vorrei scaricare il pacchetto ma non me lo fa fare!?!?

cmq mica è uscita la versione 2.5!?!?

43. melchiorre - 28 ottobre 2008

Ciao, trovi il link ai driver 2.5.0 qui nell’ultimo commento

https://melchiorre.wordpress.com/2008/07/31/driver-intel-240-deb-package/


Lascia un commento

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger cliccano Mi Piace per questo: